#!/usr/bin/make -ef
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=guake
export prefix=/usr
export DESTDIR=$(CURDIR)/debian/guake/
export PYBUILD_TEST_ARGS=--ignore guake/tests/test_guake.py --ignore=guake/tests/test_about.py --ignore=guake/tests/test_notebook.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf Guake.egg-info
	rm -rf .pytest_cache
	rm -f guake/data/gschemas.compiled
	rm -rf guake/paths.py
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_auto_build:
	make generate-paths generate-mo
	dh_auto_build

override_dh_auto_install:
	make install-locale
	dh_auto_install

override_dh_install:
	dh_install -Xorg.guake.gschema.xml
	install -Dm644 guake/data/org.guake.gschema.xml $(DESTDIR)/usr/share/glib-2.0/schemas/
	
override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst
